## Change trades, tag self `multipack.modified`, effect self with glowing, and notify nearby players
tag @s add multipack.modified
execute if score #traderNotice multipack.constants matches 1 run title @a[distance=..64] actionbar {"text":"A Wandering Trader has appeared nearby","color":"white"}
execute if score #glowingTraders multipack.constants matches 1 run effect give @s glowing 20

# Spawns 7 items with nbt containing trades (`@s multipack.temp` is referenced in the trade loot tables)
execute store result score @s multipack.temp run random value 0..6
execute if score #liteTrades multipack.constants matches 0 run loot spawn ~ ~ ~ loot m_trader_revamp:trades/random
execute if score #liteTrades multipack.constants matches 1 run loot spawn ~ ~ ~ loot m_trader_revamp:trades/random_lite
scoreboard players reset @s multipack.temp

# Transfer items' nbt to storage, then to wandering trader
execute as @e[distance=..0.1,type=item,limit=7,sort=nearest] run function m_trader_revamp:wandering_trader/store_trade
data modify entity @s Offers.Recipes set from storage m_trader_revamp:wander_trades Offers.Recipes
data remove storage m_trader_revamp:wander_trades Offers
data remove storage m_trader_revamp:trade Recipes
data remove storage m_trader_revamp:item Item
